task prepareaa {

  File dedup_bam
  File dedup_bamindex
  
  String sample_name
  String docker
  String cluster_config
  String disk_size
  command <<<
    set -o pipefail
    set -e  
    /home/programs/PrepareAA-master/PrepareAA.py -s ${sample_name} -t 15 --cnvkit_dir /home/programs/cnvkit.py --sorted_bam ${dedup_bam} --run_AA --ref GRCh38 -o /home/output
  
  >>>

  runtime {
    docker: docker
    cluster: cluster_config
    systemDisk: "cloud_ssd 40"
    dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
  }
  output {
    Array[File]  prepareaa_result= glob("/home/output/*")
    
  }
}
